CLOCK(3)

NAME
clock - cumulative processor time

SYNOPSIS

#include <time.h>

clock_t clock(void);

DESCRIPTION

Calculates the best available approximation of the cumulative amount of time used by your program since it started. To convert the result into seconds, divide by the macro CLOCKS_PER_SEC.

RETURNS

The amount of processor time used so far by your program, in units defined by the machine-dependent macro CLOCKS_PER_SEC. If no measurement is available, the result is (clock_t)-1.

PORTABILITY

ANSI C requires clock and CLOCKS_PER_SEC.

Supporting OS subroutine required: times.